Bug 328962 - menu entry 'mark all read' disabled
Summary: menu entry 'mark all read' disabled
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: folders (show other bugs)
Version: 4.11.3
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-18 11:22 UTC by Fred Jackson
Modified: 2013-12-22 06:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fred Jackson 2013-12-18 11:22:33 UTC
the 'mark all messages as read' context menu entry is disabled unless you deselect and then re-select folder of interest.

Reproducible: Always

Steps to Reproduce:
1. start by selecting a folder that has no unread email.
2. right click on that folder after receiving email into it.

Actual Results:  
menu entry is disabled

Expected Results:  
the menu entry should be available if folder contains ANY unread email.
Comment 1 Laurent Montel 2013-12-22 06:14:42 UTC
There is some problem with this action.
Comment 2 Laurent Montel 2013-12-22 06:32:01 UTC
Git commit cbd9409c5f7c55dc50c4c2b1309c70ac9ab7f173 by Montel Laurent.
Committed on 22/12/2013 at 06:31.
Pushed by mlaurent into branch 'KDE/4.12'.

Fix Bug 328962 - menu entry 'mark all read' disabled

FIXED-IN: 4.12.1

M  +3    -0    kmail/kmmainwidget.cpp

http://commits.kde.org/kdepim/cbd9409c5f7c55dc50c4c2b1309c70ac9ab7f173